To keep yourself accessible to your business partners and clients via the Accession Communicator mobile app you will need to have a device matching the following requirements:

  • Android phone or tablet running 4.0 or later, or
  • iPhone, iPad, or iPod Touch running iOS7.0 or later.

Subscribers cannot upgrade beyond Accession Mobile V2.15 if they are running an older operating system than listed above.

For help downloading the Accession Communicator mobile app, click here.

Did this answer your question?